Subject: Re: Ethernet not working on a different SoC with same eth HW

From: Andrew Lunn <[email-masked]>
Date: Fri, 4 Nov 2016 15:22:23 +0100

> > I agree with you. But fixing it is likely to break boards which
> > currently have "rgmii", but actually need the delay in order to work.
> 
> Does the internal delay here refer to the PHY or the MAC?  It's a
> property of the MAC node after all.

It is the PHY which applies the delay.

The phy-mode property is in the MAC part of the device tree binding,
but the delay is not the primary purpose of this property. Its primary
purpose, RGMII, RMII, SGMII, etc, is applicable to both the MAC and
the PHY. It probably would of been better to have the delays as a
separate property, but that is not how it is...

	 Andrew